#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libclc-22.1.0

- Next

  libdaemon-0.14

- Up
- Home

# libcloudproviders-0.3.6

## Introduction to libcloudproviders

The libcloudproviders package contains a library which provides a DBus API that allows cloud storage sync clients to expose their services.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libcloudproviders/0.3/libcloudproviders-0.3.6.tar.xz

- Download MD5 sum: f0f994bdc36fdfe9b31e3655b8071599

- Download size: 24 KB

- Estimated disk space required: 1.4 MB

- Estimated build time: less than 0.1 SBU

### libcloudproviders Dependencies

#### Required

GLib-2.88.0 (with GObject Introspection) and Vala-0.56.19

#### Optional

GTK-Doc-1.36.1

## Installation of libcloudproviders

Install libcloudproviders by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

This package does not come with a test suite.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D enable-gtk-doc`: Use this switch if you have GTK-Doc-1.36.1 installed and wish to generate the API documentation.

## Contents

Installed Programs: None
Installed Libraries: libcloudproviders.so
Installed Directories: /usr/include/cloudproviders

### Short Descriptions

`libcloudproviders.so` | contains functions that provide a DBus API to allow cloud storage sync clients to expose their services

- Prev

  libclc-22.1.0

- Next

  libdaemon-0.14

- Up
- Home